SDL_strrchr(3)

NAME
SDL_strrchr - Search a string for the last instance of a specific byte.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

char * SDL_strrchr(const char *str, int c);

DESCRIPTION
The search must go until it finds a null terminator byte to end the string.

Note that this looks for _bytes_, not _characters_, so you cannot match against a Unicode codepoint > 255, regardless of character encoding.

FUNCTION PARAMETERS

str the string to search. Must not be NULL.

c   the byte value to search for.

RETURN VALUE
Returns a pointer to the last instance of c in the string, or NULL if not found.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.